umbrello: UMLClassifierListItem Class Reference

umbrello 2.38.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
UMLClassifierListItem Class Referenceabstract

A base class for classifier list items (e.g. attributes) More...

`#include <classifierlistitem.h>`

Inheritance diagram for UMLClassifierListItem:

## Public Member Functions
| UMLClassifierListItem (UMLObject *parent, const QString &name, Uml::ID::Type id=Uml::ID::None)
| UMLClassifierListItem (UMLObject *parent)
virtual | ~UMLClassifierListItem ()
virtual void | setType (UMLObject *type)
UMLClassifier * | getType () const
void | setTypeName (const QString &type)
virtual QString | getTypeName () const
virtual QString | toString (Uml::SignatureType::Enum sig=Uml::SignatureType::NoSig, bool withStereotype=false) const
virtual void | copyInto (UMLObject *lhs) const
virtual UMLObject * | clone () const =0
Public Member Functions inherited from UMLObject
| UMLObject (const UMLObject &other)
| UMLObject (UMLObject *parent, const QString &name, Uml::ID::Type id=Uml::ID::None)
| UMLObject (UMLObject *parent)
| UMLObject (const QString &name=QString(), Uml::ID::Type id=Uml::ID::None)
virtual | ~UMLObject ()
bool | operator== (const UMLObject &rhs) const
virtual void | copyInto (UMLObject *lhs) const
virtual UMLObject * | clone () const
virtual void | setBaseType (ObjectType ot)
ObjectType | baseType () const
QLatin1String | baseTypeStr () const
virtual void | setID (Uml::ID::Type NewID)
virtual Uml::ID::Type | id () const
QString | doc () const
bool | hasDoc () const
void | setDoc (const QString &d)
void | setVisibility (Uml::Visibility::Enum visibility)
void | setVisibilityCmd (Uml::Visibility::Enum visibility)
Uml::Visibility::Enum | visibility () const
void | setStereotype (const QString &_name)
void | setStereotypeCmd (const QString &_name)
QString | stereotype (bool includeAdornments=false) const
void | setUMLStereotype (UMLStereotype *stereo)
UMLStereotype * | umlStereotype () const
QStringList & | tags ()
QString | package (const QString &separator=QString(), bool includeRoot=false) const
UMLPackageList | packages (bool includeRoot=false) const
bool | setUMLPackage (UMLPackage *pPkg)
UMLPackage * | umlPackage () const
void | setUMLParent (UMLObject *parent)
UMLObject * | umlParent () const
virtual void | setName (const QString &strName)
virtual void | setNameCmd (const QString &strName)
QString | name () const
virtual QString | fullyQualifiedName (const QString &separator=QString(), bool includeRoot=false) const
void | setAbstract (bool bAbstract)
bool | isAbstract () const
virtual bool | showPropertiesDialog (QWidget *parent=0)
virtual bool | resolveRef ()
virtual void | saveToXMI (QXmlStreamWriter &writer)
virtual bool | loadFromXMI (QDomElement &element)
bool | loadStereotype (QDomElement &element)
void | setStatic (bool bStatic)
bool | isStatic () const
virtual bool | acceptAssociationType (Uml::AssociationType::Enum) const
void | setSecondaryId (const QString &id)
QString | secondaryId () const
void | setSecondaryFallback (const QString &id)
QString | secondaryFallback () const
void | save1 (QXmlStreamWriter &writer, const QString &type, const QString &tag=QString())
bool | isUMLActor () const
bool | isUMLArtifact () const
bool | isUMLAssociation () const
bool | isUMLAttribute () const
bool | isUMLCategory () const
bool | isUMLCheckConstraint () const
bool | isUMLClassifier () const
bool | isUMLComponent () const
bool | isUMLDatatype () const
bool | isUMLEntity () const
bool | isUMLEntityAttribute () const
bool | isUMLEntityConstraint () const
bool | isUMLEnum () const
bool | isUMLEnumLiteral () const
bool | isUMLFolder () const
bool | isUMLForeignKeyConstraint () const
bool | isUMLInstance () const
bool | isUMLInstanceAttribute () const
bool | isUMLNode () const
bool | isUMLObject () const
bool | isUMLOperation () const
bool | isUMLPackage () const
bool | isUMLPort () const
bool | isUMLRole () const
bool | isUMLStereotype () const
bool | isUMLTemplate () const
bool | isUMLUniqueConstraint () const
bool | isUMLUseCase () const
UMLActor * | asUMLActor ()
UMLArtifact * | asUMLArtifact ()
UMLAssociation * | asUMLAssociation ()
UMLAttribute * | asUMLAttribute ()
UMLCanvasObject * | asUMLCanvasObject ()
UMLCategory * | asUMLCategory ()
UMLCheckConstraint * | asUMLCheckConstraint ()
UMLClassifier * | asUMLClassifier ()
UMLClassifierListItem * | asUMLClassifierListItem ()
UMLClassifierSet * | asUMLClassifierSet ()
UMLComponent * | asUMLComponent ()
UMLDatatype * | asUMLDatatype ()
UMLEntity * | asUMLEntity ()
UMLEntityAttribute * | asUMLEntityAttribute ()
UMLEntityConstraint * | asUMLEntityConstraint ()
UMLEnum * | asUMLEnum ()
UMLEnumLiteral * | asUMLEnumLiteral ()
UMLFolder * | asUMLFolder ()
UMLForeignKeyConstraint * | asUMLForeignKeyConstraint ()
UMLInstance * | asUMLInstance ()
UMLInstanceAttribute * | asUMLInstanceAttribute ()
UMLNode * | asUMLNode ()
UMLObject * | asUMLObject ()
UMLOperation * | asUMLOperation ()
UMLPackage * | asUMLPackage ()
UMLPort * | asUMLPort ()
UMLRole * | asUMLRole ()
UMLStereotype * | asUMLStereotype ()
UMLTemplate * | asUMLTemplate ()
UMLUniqueConstraint * | asUMLUniqueConstraint ()
UMLUseCase * | asUMLUseCase ()
const UMLActor * | asUMLActor () const
const UMLArtifact * | asUMLArtifact () const
const UMLAssociation * | asUMLAssociation () const
const UMLAttribute * | asUMLAttribute () const
const UMLCanvasObject * | asUMLCanvasObject () const
const UMLCategory * | asUMLCategory () const
const UMLCheckConstraint * | asUMLCheckConstraint () const
const UMLClassifier * | asUMLClassifier () const
const UMLClassifierListItem * | asUMLClassifierListItem () const
const UMLClassifierSet * | asUMLClassifierSet () const
const UMLComponent * | asUMLComponent () const
const UMLDatatype * | asUMLDatatype () const
const UMLEntity * | asUMLEntity () const
const UMLEntityAttribute * | asUMLEntityAttribute () const
const UMLEntityConstraint * | asUMLEntityConstraint () const
const UMLEnum * | asUMLEnum () const
const UMLEnumLiteral * | asUMLEnumLiteral () const
const UMLFolder * | asUMLFolder () const
const UMLForeignKeyConstraint * | asUMLForeignKeyConstraint () const
const UMLInstance * | asUMLInstance () const
const UMLInstanceAttribute * | asUMLInstanceAttribute () const
const UMLNode * | asUMLNode () const
const UMLObject * | asUMLObject () const
const UMLOperation * | asUMLOperation () const
const UMLPackage * | asUMLPackage () const
const UMLPort * | asUMLPort () const
const UMLRole * | asUMLRole () const
const UMLStereotype * | asUMLStereotype () const
const UMLTemplate * | asUMLTemplate () const
const UMLUniqueConstraint * | asUMLUniqueConstraint () const
const UMLUseCase * | asUMLUseCase () const

## Additional Inherited Members
Public Types inherited from UMLObject
enum | ObjectType { ot_Unknown = -1 , ot_UMLObject = 100 , ot_Actor , ot_UseCase , ot_Package , ot_Interface , ot_Datatype , ot_Enum , ot_Class , ot_Instance , ot_Association , ot_Attribute , ot_Operation , ot_EnumLiteral , ot_Template , ot_Component , ot_Artifact , ot_Node , ot_Stereotype , ot_Role , ot_Entity , ot_EntityAttribute , ot_Folder , ot_EntityConstraint , ot_UniqueConstraint , ot_ForeignKeyConstraint , ot_CheckConstraint , ot_Category , ot_Port , ot_InstanceAttribute , ot_SubSystem }
Public Slots inherited from UMLObject
void | emitModified ()
Signals inherited from UMLObject
void | modified ()
Static Public Member Functions inherited from UMLObject
static QString | toString (ObjectType ot)
static QString | toI18nString (ObjectType t)
static Icon_Utils::IconType | toIcon (ObjectType t)
Protected Member Functions inherited from UMLObject
void | init ()
void | maybeSignalObjectCreated ()
void | save1end (QXmlStreamWriter &writer)
virtual bool | load1 (QDomElement &element)
Protected Attributes inherited from UMLObject
Uml::ID::Type | m_nId
| object's id
QString | m_Doc
| object's documentation
QPointer< UMLStereotype > | m_pStereotype
| stereotype of the object if applicable
QString | m_name
| objects name
ObjectType | m_BaseType
| objects type
Uml::Visibility::Enum | m_visibility
| objects visibility
bool | m_bAbstract
| state of whether the object is abstract or not
bool | m_bStatic
| flag for instance scope
bool | m_bCreationWasSignalled
| auxiliary to maybeSignalObjectCreated()
QPointer< UMLObject > | m_pSecondary
QString | m_SecondaryId
QString | m_SecondaryFallback
QStringList | m_TaggedValues
UMLObjectPrivate * | m_d
| private data

## Detailed Description

A base class for classifier list items (e.g. attributes)

Classifiers (classes, interfaces) have lists of operations, attributes, templates and others. This is a base class for the items in this list. This abstraction should remove duplication of dialogs and allow for stereotypes in lists.

Author
  Jonathan Riddell Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ UMLClassifierListItem() [1/2]

UMLClassifierListItem::UMLClassifierListItem | ( | UMLObject * | parent,
|  | const QString & | name,
|  | Uml::ID::Type | id = `Uml::ID::None`
| ) |  |

Constructor.

Parameters

  parent | The parent to this operation. At first sight it would appear that the type of the parent should be UMLClassifier. However, the class UMLAttribute is also used for the parameters of operations, and in this case the UMLOperation is the parent.
  name | The name of the operation.
  id | The id of the operation.

## ◆ UMLClassifierListItem() [2/2]

UMLClassifierListItem::UMLClassifierListItem | ( | UMLObject * | parent | ) |
| explicit

Constructor.

Parameters

  parent | The parent to this operation. At first sight it would appear that the type of the parent should be UMLClassifier. However, the class UMLAttribute is also used for the parameters of operations, and in this case the UMLOperation is the parent.

## ◆ ~UMLClassifierListItem()

UMLClassifierListItem::~UMLClassifierListItem | ( |  | ) |
| virtual

Destructor. Empty.

## Member Function Documentation

## ◆ clone()

virtual UMLObject * UMLClassifierListItem::clone | ( |  | ) | const
| pure virtual

The abstract method UMLObject::clone() must be implemented by the classes inheriting from UMLClassifierListItem.

Reimplemented from UMLObject.

Implemented in UMLAttribute, UMLCheckConstraint, UMLEntityAttribute, UMLEnumLiteral, UMLForeignKeyConstraint, UMLOperation, UMLTemplate, UMLUniqueConstraint, and UMLEntityConstraint.

## ◆ copyInto()

void UMLClassifierListItem::copyInto | ( | UMLObject * | lhs | ) | const
| virtual

Copy the internal presentation of this object into the new object.

Reimplemented from UMLObject.

Reimplemented in UMLAttribute, UMLCheckConstraint, UMLEntityAttribute, UMLEntityConstraint, UMLEnumLiteral, UMLForeignKeyConstraint, UMLOperation, UMLTemplate, and UMLUniqueConstraint.

## ◆ getType()

UMLClassifier * UMLClassifierListItem::getType | ( |  | ) | const

Returns the type of the UMLClassifierListItem.

Returns
  The type of the UMLClassifierListItem.

## ◆ getTypeName()

QString UMLClassifierListItem::getTypeName | ( |  | ) | const
| virtual

Returns the type name of the UMLClassifierListItem.

Returns
  The type name of the UMLClassifierListItem.

Reimplemented in UMLTemplate.

## ◆ setType()

void UMLClassifierListItem::setType | ( | UMLObject * | type | ) |
| virtual

Sets the type of the UMLAttribute.

Parameters

  type | Pointer to the UMLObject of the type.

Reimplemented in UMLOperation.

## ◆ setTypeName()

void UMLClassifierListItem::setTypeName | ( | const QString & | type | ) |

Sets the type name of the UMLClassifierListItem. DEPRECATED - use setType() instead.

Parameters

  type | The type name of the UMLClassifierListItem.

## ◆ toString()

QString UMLClassifierListItem::toString | ( | Uml::SignatureType::Enum | sig = `Uml::SignatureType::NoSig`,
|  | bool | withStereotype = `false`
| ) |  | const
| virtual

Returns a string representation of the list item.

Parameters

  sig | What type of operation string to show.

Returns
  The string representation of the operation.

Reimplemented in UMLAttribute, UMLCheckConstraint, UMLEntityAttribute, UMLEnumLiteral, UMLForeignKeyConstraint, UMLOperation, UMLTemplate, and UMLUniqueConstraint.

The documentation for this class was generated from the following files:

- umbrello/umlmodel/classifierlistitem.h
- umbrello/umlmodel/classifierlistitem.cpp